import { Page } from 'playwright';
import waitForExpect from 'wait-for-expect';
import { ElementHandle, ConfigurationOptions, Queries, ScopedQueries } from './typedefs';
declare type ContextFn = (...args: any[]) => ElementHandle;
export declare function getDocument(_page?: Page): Promise<ElementHandle>;
declare type WaitForCallback = Parameters<typeof waitForExpect>[0];
export declare function wait(callback: WaitForCallback, { timeout, interval }?: {
    timeout?: number;
    interval?: number;
}): Promise<{}>;
export declare const waitFor: typeof wait;
export declare function configure(options: Partial<ConfigurationOptions>): void;
export declare function getQueriesForElement<T>(object: T, contextFn?: ContextFn): T & Queries & ScopedQueries;
export declare const within: typeof getQueriesForElement;
export declare const queries: Queries;
export {};
